Subject: [TR] OD Switch problem

From: Q <[email-masked]>
Date: Sun, 5 Jan 2020 12:47:28 -0800

I replaced the shifter mounter OD switch in my Stag a while ago and was 
having issues with it.  I purchased another new Lucas unit from a 
different vendor and had the same problem.

What was happening was that unless you pushed down on the button as you 
engaged the switch the contact would not flip to the on position.  A 
couple drops of oil and a lot of cycles and both of my switches are 
working now.  I am not sure if it is a lack of lubrication or just the 
grease getting more viscous during storage.

The problem is not hard to detect with the switch out of the car.  You 
should hear a distinct click as you move the switch just before the 
button reaches the ON position.  If you do not hear it click often 
pressing down on the button causes the contact to "click" in.

Edward Hamer
Petaluma CA
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive